package com.ruoyi.info.order.exception;

import com.ruoyi.common.enums.IIntegerEnum;
import java.util.Objects;


/**
 * 异常枚举
 */
public enum OrderReviewsExceptionEnum implements IIntegerEnum {

    // TODO 注意检查错误码，保证系统内唯一
    OrderReviews_IS_NOT_EXISTS(190001, "订单评价不存在"),

    ;

    private Integer code;

    private String msg;

    OrderReviewsExceptionEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    @Override
    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public static OrderReviewsExceptionEnum getByCode(int code, OrderReviewsExceptionEnum[] values) {
        for (OrderReviewsExceptionEnum value : values) {
            if (Objects.equals(code, value.getCode())) {
                return value;
            }
        }
        return null;
    }

}
